<?php

/**

PHP 3D Postcard generator v2.0.6
Copyright (c) 2008-2010 JF Nutbroek <jfnutbroek@gmail.com>
Visit http://www.mywebmymail.com for more information

See the included End User License Agreement (EULA)

*/

session_start();

if(!isset($_SESSION['cards'])) {$_SESSION['cards']=array();}

if (isset($_REQUEST['captchaimage'])) {createcaptcha();exit;}

if (isset($_REQUEST['downloadcard'])) {
	if ($_REQUEST['downloadcard']!='') {
		$download=basename($_REQUEST['downloadcard']);
		if (file_exists('gfx/'.$download))
			download($download);
		exit;
	}
}

require_once('inc/configuration.php');
require_once('inc/languages.php');

$div1='';
$div2=$div3=$div4=$div5=$div6=$div7=$div8=$div9=$div10=$div11='style="display: none"';

// Delete cards and uploaded images
if (isset($_REQUEST['deletecards'])) {
        if ($_REQUEST['deletecards']==1) {
                foreach ($_SESSION['cards'] as $cardtodelete) {
                        if (file_exists('gfx/'.$cardtodelete))
                                @unlink('gfx/'.$cardtodelete);
                }
                $_SESSION['cards']=array();               
                if (isset($_SESSION['uploadedimage']) && file_exists('gfx/'.$_SESSION['uploadedimage'])) {
                        @unlink('gfx/'.$_SESSION['uploadedimage']);
                        unset($_SESSION['uploadedimage']);
                }
        }
}

// Delete all photos and cards older then 180 minutes
if (file_exists('gfx')) {
	if ($dir=@opendir('gfx')) {
		while ($file=@readdir($dir)) {
			if (($file!='.') && ($file!='..')) {
				if ((time()-filemtime('gfx/'.$file))>(3600*3)) {@unlink('gfx/'.$file);}
			}
		}
	}
}

// Photo Upload
$errormessage='';$imagefilename='';
if (isset($_FILES['postcardimage']) && !empty($_FILES['postcardimage']['name'])) {
        $imagefilename=basename($_FILES['postcardimage']['name']);
        $extension=strtolower(substr($imagefilename,strrpos($imagefilename,'.')+1,strlen($imagefilename)));
        $imagefilename=uniqid(rand(),true).'.'.$extension;
        if ($extension=='jpg' || $extension=='jpeg' || $extension=='png' || $extension=='gif') {
                if (@move_uploaded_file($_FILES['postcardimage']['tmp_name'],str_replace(chr(92),chr(47),getcwd()).'/gfx/'.$imagefilename)) {
                        if (filesize('gfx/'.$imagefilename)==0) {
                                @unlink('gfx/'.$imagefilename);
                        } else {
                                @chmod('gfx/'.$imagefilename,0755);
                                if (isset($_SESSION['uploadedimage']) && file_exists('gfx/'.$_SESSION['uploadedimage']))
                                        @unlink('gfx/'.$_SESSION['uploadedimage']);
                                $_SESSION['uploadedimage']=$imagefilename;
                                unset($_REQUEST['postcard']);
				// Verify it is actually a supported image file (GIF, PNG, JPG)
				$size=@GetImageSize('gfx/'.$imagefilename);
				if ($size[2]!=1 && $size[2]!=2 && $size[2]!=3) {
					@unlink('gfx/'.$_SESSION['uploadedimage']);
					unset($_SESSION['uploadedimage']);
					$errormessage="$lang_63";
				}
                        }		
                } else {
                        if ($_FILES['postcardimage']['error']==UPLOAD_ERR_FORM_SIZE) {$errormessage="$lang_09";}			
                        if ($_FILES['postcardimage']['error']==UPLOAD_ERR_INI_SIZE) {$errormessage="$lang_10";}
                        if ($_FILES['postcardimage']['error']==UPLOAD_ERR_PARTIAL) {$errormessage="$lang_11";}
                }
        } else if ($extension!='') {
                @unlink($_FILES['postcardimage']['tmp_name']);
                unset($_FILES['postcardimage']);
                $errormessage="$lang_63";
        }
}

if (isset($_REQUEST['postcard'])) {$existingcard=basename($_REQUEST['postcard']);} else {$existingcard='';}

if ($imagefilename=='' && $errormessage=='' && $existingcard=='' && isset($_SESSION['uploadedimage']) && file_exists('gfx/'.$_SESSION['uploadedimage'])) {
        $imagefilename=$_SESSION['uploadedimage'];
} else if ($existingcard!='') {
        if (isset($_SESSION['uploadedimage']) && file_exists('gfx/'.$_SESSION['uploadedimage'])) {
                @unlink('gfx/'.$_SESSION['uploadedimage']);
                unset($_SESSION['uploadedimage']);
        }
        if (file_exists('3dgfx/postcards/'.$existingcard))
                $imagefilename=$existingcard;
} else {
        if (isset($_REQUEST['create'])) {
                if ($_REQUEST['create']==1) {
                        $errormessage="$lang_60";
                }
        }
        unset($_REQUEST['create']);
}

// Remember settings
$line[]=array();
if (isset($_REQUEST['borderx'])) {$borderx=intval($_REQUEST['borderx']);} else {$borderx=40;}
if (isset($_REQUEST['bordery'])) {$bordery=intval($_REQUEST['bordery']);} else {$bordery=100;} 
if (isset($_REQUEST['shading'])) {$shading=intval($_REQUEST['shading']);} else {$shading=70;}
if (isset($_REQUEST['fontsize'])) {$fontsize=intval($_REQUEST['fontsize']);} else {$fontsize=70;}
if (isset($_REQUEST['fontangle'])) {$fontangle=intval($_REQUEST['fontangle']);} else {$fontangle=0;}	 	  
if (isset($_REQUEST['fontshadowoffset'])) {$fontshadowoffset=intval($_REQUEST['fontshadowoffset']);} else {$fontshadowoffset=0;}
if (isset($_REQUEST['outputsize'])) {$outputsize=intval($_REQUEST['outputsize']);} else {$outputsize=900;}
if (isset($_REQUEST['deformstrength'])) {$deformstrength=intval($_REQUEST['deformstrength']);} else {$deformstrength=20;} 
if (isset($_REQUEST['framewidth'])) {$framewidth=intval($_REQUEST['framewidth']);} else {$framewidth=10;}
if (isset($_REQUEST['mirrorarea'])) {$mirrorarea=intval($_REQUEST['mirrorarea']);} else {$mirrorarea=0;}
if (isset($_REQUEST['line1'])) {$line[0]=stripslashes(str_replace('"',"''",$_REQUEST['line1']));} else {$line[0]='';} 	  	
if (isset($_REQUEST['line2'])) {$line[1]=stripslashes(str_replace('"',"''",$_REQUEST['line2']));} else {$line[1]='****';} 
if (isset($_REQUEST['line3'])) {$line[2]=stripslashes(str_replace('"',"''",$_REQUEST['line3']));} else {$line[2]=$lang_26;} 
if (isset($_REQUEST['line4'])) {$line[3]=stripslashes(str_replace('"',"''",$_REQUEST['line4']));} else {$line[3]=$lang_27;} 
if (isset($_REQUEST['line5'])) {$line[4]=stripslashes(str_replace('"',"''",$_REQUEST['line5']));} else {$line[4]='****';} 
if (isset($_REQUEST['line6'])) {$line[5]=stripslashes(str_replace('"',"''",$_REQUEST['line6']));} else {$line[5]='';} 
if (isset($_REQUEST['watermark'])) {$watermark=$_REQUEST['watermark'];} else {$watermark='';}
if (isset($_REQUEST['fonttype'])) {$fonttype=$_REQUEST['fonttype'];} else {$fonttype='writing.ttf';}
if (isset($_REQUEST['fontcolor'])) {$fontcolor='#'.preg_replace("/[^a-fA-F0-9]/","",$_REQUEST['fontcolor']).str_repeat('0',6-strlen(preg_replace("/[^a-fA-F0-9]/","",$_REQUEST['fontcolor'])));} else {$fontcolor='#000000';}	 		   
if (isset($_REQUEST['fontshadowcolor'])) {$fontshadowcolor='#'.preg_replace("/[^a-fA-F0-9]/","",$_REQUEST['fontshadowcolor']).str_repeat('0',6-strlen(preg_replace("/[^a-fA-F0-9]/","",$_REQUEST['fontshadowcolor'])));} else {$fontshadowcolor='#999999';}	 		   
if (isset($_REQUEST['bordercolor'])) {$bordercolor='#'.preg_replace("/[^a-fA-F0-9]/","",$_REQUEST['bordercolor']).str_repeat('0',6-strlen(preg_replace("/[^a-fA-F0-9]/","",$_REQUEST['bordercolor'])));} else {$bordercolor='#FFFFCC';}	 					
if (isset($_REQUEST['bgcolor'])) {$bgcolor='#'.preg_replace("/[^a-fA-F0-9]/","",$_REQUEST['bgcolor']).str_repeat('0',6-strlen(preg_replace("/[^a-fA-F0-9]/","",$_REQUEST['bgcolor'])));} else {$bgcolor='#FFFFFF';}	 	 
if (isset($_REQUEST['cardcolor'])) {$cardcolor='#'.preg_replace("/[^a-fA-F0-9]/","",$_REQUEST['cardcolor']).str_repeat('0',6-strlen(preg_replace("/[^a-fA-F0-9]/","",$_REQUEST['cardcolor'])));} else {$cardcolor='#FFFFCC';}	 	 	 
if (isset($_REQUEST['bordercardcolor'])) {$bordercardcolor='#'.preg_replace("/[^a-fA-F0-9]/","",$_REQUEST['bordercardcolor']).str_repeat('0',6-strlen(preg_replace("/[^a-fA-F0-9]/","",$_REQUEST['bordercardcolor'])));} else {$bordercardcolor='#999999';}	 										
if (isset($_REQUEST['framecolor'])) {$framecolor='#'.preg_replace("/[^a-fA-F0-9]/","",$_REQUEST['framecolor']).str_repeat('0',6-strlen(preg_replace("/[^a-fA-F0-9]/","",$_REQUEST['framecolor'])));} else {$framecolor='#FFFFFF';}	 															
if ($borderx<0 || $borderx>800) {$borderx=100;}
if ($bordery<0 || $bordery>600) {$bordery=40;}	
if ($shading<0 || $shading>100) {$shading=70;}
if ($mirrorarea<0 || $mirrorarea>100) {$mirrorarea=0;}
if ($fontsize<10 || $fontsize>300) {$fontsize=90;}	
if ($fontshadowoffset<0 || $fontshadowoffset>200) {$fontshadowoffset=5;}							
if ($outputsize<0 || $outputsize>1600) {$outputsize=1600;}
if ($deformstrength<0 || $deformstrength>100) {$deformstrength=20;}
if ($framewidth<0 || $framewidth>max($borderx,$bordery)) {$framewidth=0;}

// Create card
$cardfilename='';
if (isset($_REQUEST['create'])) {
        if ($_REQUEST['create']==1) {					
                if (file_exists('3dgfx/postcards/'.$imagefilename)) {
                        $cardfilename=make_card('3dgfx/postcards/'.$imagefilename);
                } else if (file_exists('gfx/'.$imagefilename)) {
                        $cardfilename=make_card('gfx/'.$imagefilename);
                }
        }
}

// Send card
$captchaerror=false;
if (isset($_REQUEST['sendcard']) && isset($_REQUEST['emailcard']) && $allow_email) {
        if ($_REQUEST['sendcard']==1 && $_REQUEST['emailcard']!='') {
                if (isset($_REQUEST['captcha'])) {$captchauser=strtolower($_REQUEST['captcha']);} else {$captchauser='';} 
                if (isset($_SESSION['captchacode'])) {$captchacode=$_SESSION['captchacode'];} else {$captchacode='';}
                $attachmenttosend=basename($_REQUEST['emailcard']);
                if ($captchacode==$captchauser && file_exists('gfx/'.$attachmenttosend)) {
                        if (sendcard($attachmenttosend)) {$success=true;} else {$success=false;}
                } else if ($captchacode!=$captchauser) {
                        $captchaerror=true;    
                }
        }
}

// Determine which div to show
if ($imagefilename!='') {
        if (file_exists('gfx/'.$imagefilename)) {
                $imageurl='gfx/'.$imagefilename;
        	$size=@getimagesize('gfx/'.$imagefilename);
                if ($cardfilename=='')
                        if ($max_photo_width<$size[0] || $max_photo_width<$size[1]) {$errormessage=$lang_59;$lang_08=$lang_81;}
        } else if (file_exists('3dgfx/postcards/'.$imagefilename)) {
                $imageurl='3dgfx/postcards/'.$imagefilename;              
        } else {
                $imageurl='3dgfx/selectedphoto.png';   
        }
        if ($cardfilename=='') {
                $div1='style="display: none"';$div2='';
        } else {
                $div1='style="display: none"';$div7='';
        }
} else {
        $imageurl='3dgfx/selectedphoto.png';              
}
if (isset($success) || $captchaerror) {
        $div1=$div2=$div7='style="display: none"';$div9='';
} else if ($errormessage!='') {
        $div1=$div7='style="display: none"';$div2='';
}

// The page
header("Content-Type: text/html; charset=UTF-8");
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?><!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\"><html xmlns=\"http://www.w3.org/1999/xhtml\" lang=\"en\" xml:lang=\"en\">\n";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"inc/3dpostcard.css\" /><title>$pagetitle</title>\n";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html;charset=utf-8\" />\n";
echo "<meta name=\"description\" content=\"$lang_02\" />\n";
echo "<meta name=\"keywords\" content=\"$lang_03\" />\n";
echo "<script type=\"text/javascript\" src=\"inc/3dpostcard.js\"></script>";
echo "<script type=\"text/javascript\" src=\"inc/swfobject.js\"></script>\n";
echo "<script type=\"text/javascript\">\n";
echo " swfobject.embedSWF(\"3dgfx/throbber.swf\",\"alternativecontent\",\"100\",\"100\",\"6.0.65\",\"inc/expressInstall/swf\",{},{BGCOLOR:\"#FAFAFA\"},{});\n";
echo "</script>\n";
if ($background!='') {
	echo "<style type=\"text/css\">\n";
	echo "body {\n";
	echo " background-image :url('$background'); \n";
	echo "}\n";
	echo "</style>\n"; 
}
echo "</head><body><form method=\"post\" action=\"3dpostcard.php\" enctype=\"multipart/form-data\">\n";
echo "<table style=\"width : 1024px;border : 0px;\" cellspacing=\"0\" cellpadding=\"0\"><tr><td style=\"width : 144px;vertical-align : top;\">\n";

// Create the menu part #1
// Build the menu: 'Menu name, address or #div,javascript' 
$menu=array();                                            
$menu[]=array($lang_91,'#div2','');                       // Show div
$menu[]=array($lang_92,'#div3','');                       // Show div
$menu[]=array($lang_93,'#div4','setcolors();');           // Show div
$menu[]=array($lang_94,'#div5','');                       // Show div
$menu[]=array($lang_95,'#div6','');                       // Show div
$menu[]=array($lang_96,'#div7','');                       // Show div
topborder($lang_99);
echo "<table class=\"contenttable\" style=\"width : 66px;\"><tr><td>&nbsp;</td></tr>\n";
foreach($menu as $url) {
        if (substr($url[1],0,1)!='#') {
                echo "<tr><td style=\"text-align : left;\"><a href=\"$url[1]\">$url[0]</a></td></tr>\n";                       
        } else if (substr($url[1],0,1)=='#') {
                echo "<tr><td style=\"text-align : left;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('$url[1]');$url[2]\">$url[0]</a></td></tr>\n";         
        }
}
echo "</table>\n";
bottomborder();

// Create the menu part #2
$menu=array();
$menu[]=array($lang_97,'#div10','');                      // Show div
$menu[]=array($lang_98,'#div11','');                      // Show div
$menu[]=array($lang_90,"$exit",'');                       // Exit - Link back to your website
topborder($lang_100);
echo "<table class=\"contenttable\" style=\"width : 66px;\"><tr><td>&nbsp;</td></tr>\n";
foreach($menu as $url) {
        if (substr($url[1],0,1)!='#') {
                echo "<tr><td style=\"text-align : left;\"><a href=\"$url[1]\">$url[0]</a></td></tr>\n";                       
        } else if (substr($url[1],0,1)=='#') {
                echo "<tr><td style=\"text-align : left;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('$url[1]');$url[2]\">$url[0]</a></td></tr>\n";         
        }
}
echo "</table>\n";
bottomborder();

// Create the menu part #3
topborder($lang_101);
echo "<table class=\"contenttable\" style=\"width : 66px;\"><tr><td>&nbsp;</td></tr>\n";
$languages=explode(',',$languages_to_select_from);
foreach($languages as $choice) {
        echo "<tr><td style=\"text-align : left;\"><a href=\"#\" onclick=\"expandCollapse('div0');document.forms[0].language.value='$choice';document.forms[0].submit();\">$choice</a></td></tr>\n";  
}
echo "</table>\n";
bottomborder();

echo "</td><td style=\"width : 880px;vertical-align : top;\">\n";
topborder();

// ************
// Main content
// Throbber
echo "<div id=\"div0\" style=\"display: none\">\n";
echo "<table class=\"contenttable\" style=\"width : 802px;height : 250px;\"><tr><td>\n";
echo "<div id=\"alternativecontent\"><img src=\"3dgfx/throbber_blue.gif\" alt=\"throbber\" style=\"border : 0px;\" /></div>\n";
echo "<br /><br />$lang_18</td></tr></table>\n";
echo "</div>\n";
// Splash screen
echo "<div id=\"div1\" $div1>\n";
echo "<table class=\"contenttable\" style=\"width : 802px;\">\n";
echo "<tr><td style=\"text-align : center;\"><img src=\"3dgfx/splash.jpg\" alt=\"splash\" style=\"border : 0px;\" /><input type=\"hidden\" name=\"language\" value=\"$language\" /><input type=\"hidden\" name=\"create\" value=\"0\" /></td></tr>\n";
echo "<tr><td style=\"text-align : right;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('div2');\"><img src=\"3dgfx/arrowsmallright.png\" alt=\"arrow\" style=\"border : 0px;\" /></a></td></tr>\n";
echo "</table>\n";
echo "</div>\n"; 
// Photo selection
echo "<div id=\"div2\" $div2>\n";
if ($show_select) {
        echo "<table class=\"contenttable\" style=\"width : 802px;\"><tr><td style=\"text-align : left;\" colspan=\"5\"><b>$lang_06</b></td></tr><tr><td colspan=\"5\">&nbsp;</td></tr><tr>\n";
        $allcards=array();
        if ($dir=@opendir('3dgfx/postcards')) {
        	while ($file=@readdir($dir)) {
        		if (($file!='.') && ($file!='..') && substr($file,0,8)=='postcard' && strlen($file)>13 && !strpos($file,'_thumb')) {$allcards[]=$file;}
        	}
        }
        foreach ($allcards as $key => $card) {
        	if (($key % 5)==0 && $key!=0) {echo "</tr><tr>\n";}
        	echo "<td style=\"text-align: center;\"><a href=\"#\" onclick=\"document.forms[0].postcard.value='$card';document.forms[0].selectedpostcard.src=document.forms[0].postcard$key.src;this.blur();reseterror();\"><img src=\"3dgfx/postcards/" . substr($card,0,10) . '_thumb.' . strtolower(substr($card,strrpos($card,'.')+1,strlen($card))) . "\" id=\"postcard$key\" alt=\"postcard\" style=\"border : 0px;height : 84px;\" /></a></td>\n";	
        }
        echo str_repeat('<td>&nbsp;</td>',ceil(count($allcards)/5)*5-count($allcards));		
        echo "</tr><tr><td colspan=\"5\"><input type=\"hidden\" name=\"postcard\" value=\"$existingcard\" />&nbsp;</td></tr></table>\n";
}
if ($show_upload) {
        echo "<table class=\"contenttable\" style=\"width : 802px;\">\n";
        echo "<tr><td style=\"text-align : left;\" colspan=\"2\"><b>$lang_76</b></td></tr>\n";
        echo "<tr><td colspan=\"2\">&nbsp;</td></tr>\n";
        echo "<tr><td style=\"text-align : left;width : 275px;\">$lang_07 </td><td style=\"text-align : left;vertical-align : bottom;\"><input type=\"hidden\" name=\"MAX_FILE_SIZE\" value=\"" . ($max_upload_size_kB*1024) . "\" />";
        echo "<input type=\"file\" name=\"postcardimage\" class=\"input\" onchange=\"expandCollapse('div0');document.forms[0].submit();\" /> <img src=\"3dgfx/infotag.png\" alt=\"info\" onmouseover=\"unhide('info');\" onmouseout=\"document.getElementById('info').style.visibility='hidden';\" style=\"border : 0px;vertical-align : bottom;\" />\n";
        echo "</td></tr><tr><td colspan=\"2\">&nbsp;</td></tr></table>";
}
        if ($errormessage!='')
                $insert="<img src=\"3dgfx/errorinfo.png\" id=\"errorinfo\" alt=\"info\" onmouseover=\"unhide('error');\" onmouseout=\"document.getElementById('error').style.visibility='hidden';\" style=\"border : 0px;vertical-align : bottom;\" />\n";
        else
                $insert='';
echo "<table class=\"contenttable\" style=\"width : 802px;\">\n";
echo "<tr><td style=\"text-align : left;\"><b>$lang_05</b></td></tr>\n";
echo "<tr><td style=\"text-align : center;height : 135px;\"><img src=\"$imageurl\" id=\"selectedpostcard\" alt=\"selectedphoto\" style=\"border : 0px;width : 128px;\" /></td></tr>\n";
echo "<tr><td style=\"text-align : right;\">$insert <a href=\"#\" onclick=\"this.blur();expandCollapse('div3');\"><img src=\"3dgfx/arrowsmallright.png\" alt=\"arrow\" style=\"border : 0px;\" /></a></td></tr>\n";
echo "</table>\n";
echo "</div>\n"; 
// Info layers
echo "<div id=\"info\" style=\"position:absolute; width:250px; height:200px; top: -100px; left: 0px; z-index:1; overflow: visible; visibility: hidden;\"> \n";
echo "<table class=\"infotable\">\n";
echo "<tr><th style=\"text-align : left;width : 100%;\">$lang_12</th></tr>\n";
echo "<tr><td style=\"text-align : left;\">$lang_13</td></tr>\n";
echo "<tr><td style=\"text-align : left;\">$lang_14</td></tr>\n";
echo "<tr><td style=\"text-align : left;\">$lang_15</td></tr>\n";
echo "</table>\n";
echo "</div>\n";
echo "<div id=\"error\" style=\"position:absolute; width:250px; height:200px; top: -100px; left: 0px; z-index:2; overflow: visible; visibility: hidden;\"> \n";
echo "<table class=\"infotable\">\n";
echo "<tr><th style=\"width : 100%;background-color : #FF0000;\">$lang_08</th></tr>\n";
echo "<tr><td style=\"text-align : left;\">$errormessage</td></tr>\n";
echo "</table>\n";
echo "</div>\n";
// Write Message
echo "<div id=\"div3\" $div3>\n";
echo "<table class=\"contenttable\" style=\"width : 802px;\"><tr><td style=\"width :250px; text-align : left;\"><b>$lang_19</b></td><td style=\"width : 50px;\">&nbsp;</td><td>&nbsp;</td></tr><tr><td colspan=\"3\">&nbsp;</td></tr>\n";
echo "<tr><td style=\"text-align : right;\">$lang_20</td><td>&nbsp;</td><td style=\"text-align : left;\"><input type=\"text\" name=\"line1\" class=\"input\" value=\"$line[0]\" size=\"55\" maxlength=\"50\" /></td></tr>\n";
echo "<tr><td style=\"text-align : right;\">$lang_21</td><td>&nbsp;</td><td style=\"text-align : left;\"><input type=\"text\" name=\"line2\" class=\"input\" value=\"$line[1]\" size=\"55\" maxlength=\"50\" /></td></tr>\n";
echo "<tr><td style=\"text-align : right;\">$lang_22</td><td>&nbsp;</td><td style=\"text-align : left;\"><input type=\"text\" name=\"line3\" class=\"input\" value=\"$line[2]\" size=\"55\" maxlength=\"50\" /></td></tr>\n";
echo "<tr><td style=\"text-align : right;\">$lang_23</td><td>&nbsp;</td><td style=\"text-align : left;\"><input type=\"text\" name=\"line4\" class=\"input\" value=\"$line[3]\" size=\"55\" maxlength=\"50\" /></td></tr>\n";
echo "<tr><td style=\"text-align : right;\">$lang_24</td><td>&nbsp;</td><td style=\"text-align : left;\"><input type=\"text\" name=\"line5\" class=\"input\" value=\"$line[4]\" size=\"55\" maxlength=\"50\" /></td></tr>\n";
echo "<tr><td style=\"text-align : right;\">$lang_25</td><td>&nbsp;</td><td style=\"text-align : left;\"><input type=\"text\" name=\"line6\" class=\"input\" value=\"$line[5]\" size=\"55\" maxlength=\"50\" /></td></tr>\n"; 
echo "</table>\n";
echo "<table class=\"contenttable\" style=\"width : 802px;\">\n";
echo "<tr><td colspan=\"2\">&nbsp;</td></tr>\n";
echo "<tr><td style=\"text-align : left;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('div2');\"><img src=\"3dgfx/arrowsmallleft.png\" alt=\"arrow\" style=\"border : 0px;\" /></a></td>\n";
echo "<td style=\"text-align : right;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('div4');setcolors();\"><img src=\"3dgfx/arrowsmallright.png\" alt=\"arrow\" style=\"border : 0px;\" /></a></td></tr>\n";
echo "</table>\n";
echo "</div>\n";
// Select colors
echo "<div id=\"div4\" $div4>\n";
echo "<table class=\"contenttable\" style=\"width : 802px;\"><tr><td style=\"text-align : left;\" colspan=\"2\"><b>$lang_79</b></td></tr><tr><td><table style=\"border : 0px;\" cellspacing=\"2px\" cellpadding=\"0\">\n";
echo "<tr><td style=\"text-align : left;\">1. $lang_28</td><td><input type=\"text\" name=\"fontcolor\" class=\"input\" value=\"" . ltrim($fontcolor,'#') . "\" maxlength=\"6\" size=\"7\" onfocus=\"javascript:boxname=this.name;colorbox(this);\" /> <input type=\"text\" name=\"colorsample_fontcolor\" class=\"input\" style=\"background-color: #000000\" readonly=\"readonly\" size=\"7\" onclick=\"javascript:document.forms[0].fontcolor.focus();\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr>\n";
echo "<tr><td style=\"text-align : left;\">2. $lang_29</td><td><input type=\"text\" name=\"fontshadowcolor\" class=\"input\" value=\"" . ltrim($fontshadowcolor,'#') . "\" maxlength=\"6\" size=\"7\" onfocus=\"javascript:boxname=this.name;colorbox(this);\" /> <input type=\"text\" name=\"colorsample_fontshadowcolor\" class=\"input\" style=\" background-color: #999999\" readonly=\"readonly\" size=\"7\" onclick=\"javascript:document.forms[0].fontshadowcolor.focus();\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr>\n";
echo "<tr><td style=\"text-align : left;\">3. $lang_30</td><td><input type=\"text\" name=\"bordercolor\" class=\"input\" value=\"" . ltrim($bordercolor,'#') . "\" maxlength=\"6\" size=\"7\" onfocus=\"javascript:boxname=this.name;colorbox(this);\" /> <input type=\"text\" name=\"colorsample_bordercolor\" class=\"input\" style=\" background-color: #FFFFCC\" readonly=\"readonly\" size=\"7\" onclick=\"javascript:document.forms[0].bordercolor.focus();\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr>\n";
echo "<tr><td style=\"text-align : left;\">4. $lang_31</td><td><input type=\"text\" name=\"cardcolor\" class=\"input\" value=\"" . ltrim($cardcolor,'#') . "\" maxlength=\"6\" size=\"7\" onfocus=\"javascript:boxname=this.name;colorbox(this);\" /> <input type=\"text\" name=\"colorsample_cardcolor\" class=\"input\" style=\" background-color: #FFFFCC\" readonly=\"readonly\" size=\"7\" onclick=\"javascript:document.forms[0].cardcolor.focus();\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr>\n";
echo "<tr><td style=\"text-align : left;\">5. $lang_32</td><td><input type=\"text\" name=\"bgcolor\" class=\"input\" value=\"" . ltrim($bgcolor,'#') . "\" maxlength=\"6\" size=\"7\" onfocus=\"javascript:boxname=this.name;colorbox(this);\" /> <input type=\"text\" name=\"colorsample_bgcolor\" class=\"input\" style=\"background-color: #FFFFFF\" readonly=\"readonly\" size=\"7\" onclick=\"javascript:document.forms[0].bgcolor.focus();\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr>\n";
echo "<tr><td style=\"text-align : left;\">6. $lang_33</td><td><input type=\"text\" name=\"bordercardcolor\" class=\"input\" value=\"" . ltrim($bordercardcolor,'#') . "\" maxlength=\"6\" size=\"7\" onfocus=\"javascript:boxname=this.name;colorbox(this);\" /> <input type=\"text\" name=\"colorsample_bordercardcolor\" class=\"input\" style=\"background-color: #999999\" readonly=\"readonly\" size=\"7\" onclick=\"javascript:document.forms[0].bordercardcolor.focus();\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr>\n"; 
echo "<tr><td style=\"text-align : left;\">7. $lang_43</td><td><input type=\"text\" name=\"framecolor\" class=\"input\" value=\"" . ltrim($framecolor,'#') . "\" maxlength=\"6\" size=\"7\" onfocus=\"javascript:boxname=this.name;colorbox(this);\" /> <input type=\"text\" name=\"colorsample_framecolor\" class=\"input\" style=\"background-color: #FFFFFF\" readonly=\"readonly\" size=\"7\" onclick=\"javascript:document.forms[0].framecolor.focus();\" onmouseover=\"this.style.cursor='pointer'\" /></td></tr>\n";
echo "</table></td><td>\n";
echo "<table class=\"tablechart\" style=\"border : 0px;width : 100%\" cellspacing=\"2px\" cellpadding=\"0\">\n";
echo "<tr><td style=\"background-color: #FFFFFF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FFFFFF</td><td style=\"background-color: #FFFFCC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FFFFCC</td><td style=\"background-color: #FFFF99\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FFFF99</td><td style=\"background-color: #FFFF66\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FFFF66</td><td style=\"background-color: #FFFF33\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FFFF33</td><td style=\"background-color: #FFFF00\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FFFF00</td><td style=\"background-color: #FFCCFF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FFCCFF</td><td style=\"background-color: #FFCCCC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FFCCCC</td><td style=\"background-color: #FFCC99\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FFCC99</td><td style=\"background-color: #FFCC66\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FFCC66</td><td style=\"background-color: #FFCC33\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FFCC33</td><td style=\"background-color: #FFCC00\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FFCC00</td></tr>\n";
echo "<tr><td style=\"background-color: #FF99FF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF99FF</td><td style=\"background-color: #FF99CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF99CC</td><td style=\"background-color: #FF9999\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF9999</td><td style=\"background-color: #FF9966\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF9966</td><td style=\"background-color: #FF9933\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF9933</td><td style=\"background-color: #FF9900\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF9900</td><td style=\"background-color: #FF66FF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF66FF</td><td style=\"background-color: #FF66CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF66CC</td><td style=\"background-color: #FF6699\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF6699</td><td style=\"background-color: #FF6666\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF6666</td><td style=\"background-color: #FF6633\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF6633</td><td style=\"background-color: #FF6600\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF6600</td></tr>\n";
echo "<tr><td style=\"background-color: #FF33FF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF33FF</td><td style=\"background-color: #FF33CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF33CC</td><td style=\"background-color: #FF3399\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF3399</td><td style=\"background-color: #FF3366\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF3366</td><td style=\"background-color: #FF3333\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF3333</td><td style=\"background-color: #FF3300\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF3300</td><td style=\"background-color: #FF00FF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF00FF</td><td style=\"background-color: #FF00CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF00CC</td><td style=\"background-color: #FF0099\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF0099</td><td style=\"background-color: #FF0066\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF0066</td><td style=\"background-color: #FF0033\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF0033</td><td style=\"background-color: #FF0000\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">FF0000</td></tr>\n";
echo "<tr><td style=\"background-color: #CCFFFF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CCFFFF</td><td style=\"background-color: #CCFFCC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CCFFCC</td><td style=\"background-color: #CCFF99\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CCFF99</td><td style=\"background-color: #CCFF66\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CCFF66</td><td style=\"background-color: #CCFF33\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CCFF33</td><td style=\"background-color: #CCFF00\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CCFF00</td><td style=\"background-color: #CCCCFF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CCCCFF</td><td style=\"background-color: #CCCCCC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CCCCCC</td><td style=\"background-color: #CCCC99\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CCCC99</td><td style=\"background-color: #CCCC66\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CCCC66</td><td style=\"background-color: #CCCC33\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CCCC33</td><td style=\"background-color: #CCCC00\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CCCC00</td></tr>\n";
echo "<tr><td style=\"background-color: #CC99FF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC99FF</td><td style=\"background-color: #CC99CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC99CC</td><td style=\"background-color: #CC9999\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC9999</td><td style=\"background-color: #CC9966\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC9966</td><td style=\"background-color: #CC9933\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC9933</td><td style=\"background-color: #CC9900\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC9900</td><td style=\"background-color: #CC66FF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC66FF</td><td style=\"background-color: #CC66CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC66CC</td><td style=\"background-color: #CC6699\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC6699</td><td style=\"background-color: #CC6666\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC6666</td><td style=\"background-color: #CC6633\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC6633</td><td style=\"background-color: #CC6600\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC6600</td></tr>\n";
echo "<tr><td style=\"background-color: #CC33FF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC33FF</td><td style=\"background-color: #CC33CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC33CC</td><td style=\"background-color: #CC3399\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC3399</td><td style=\"background-color: #CC3366\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC3366</td><td style=\"background-color: #CC3333\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC3333</td><td style=\"background-color: #CC3300\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC3300</td><td style=\"background-color: #CC00FF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC00FF</td><td style=\"background-color: #CC00CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC00CC</td><td style=\"background-color: #CC0099\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC0099</td><td style=\"background-color: #CC0066\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC0066</td><td style=\"background-color: #CC0033\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC0033</td><td style=\"background-color: #CC0000\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">CC0000</td></tr>\n";
echo "<tr><td style=\"background-color: #99FFFF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">99FFFF</td><td style=\"background-color: #99FFCC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">99FFCC</td><td style=\"background-color: #99FF99\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">99FF99</td><td style=\"background-color: #99FF66\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">99FF66</td><td style=\"background-color: #99FF33\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">99FF33</td><td style=\"background-color: #99FF00\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">99FF00</td><td style=\"background-color: #99CCFF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">99CCFF</td><td style=\"background-color: #99CCCC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">99CCCC</td><td style=\"background-color: #99CC99\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">99CC99</td><td style=\"background-color: #99CC66\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">99CC66</td><td style=\"background-color: #99CC33\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">99CC33</td><td style=\"background-color: #99CC00\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">99CC00</td></tr>\n";
echo "<tr><td style=\"background-color: #9999FF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">9999FF</td><td style=\"background-color: #9999CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">9999CC</td><td style=\"background-color: #999999\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">999999</td><td style=\"background-color: #999966\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">999966</td><td style=\"background-color: #999933\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">999933</td><td style=\"background-color: #999900\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">999900</td><td style=\"background-color: #9966FF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">9966FF</td><td style=\"background-color: #9966CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">9966CC</td><td style=\"background-color: #996699\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">996699</td><td style=\"background-color: #996666\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">996666</td><td style=\"background-color: #996633\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">996633</td><td style=\"background-color: #996600\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">996600</td></tr>\n";
echo "<tr><td style=\"background-color: #9933FF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">9933FF</td><td style=\"background-color: #9933CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">9933CC</td><td style=\"background-color: #993399\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">993399</td><td style=\"background-color: #993366\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">993366</td><td style=\"background-color: #993333\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">993333</td><td style=\"background-color: #993300\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">993300</td><td style=\"background-color: #9900FF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">9900FF</td><td style=\"background-color: #9900CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">9900CC</td><td style=\"background-color: #990099\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">990099</td><td style=\"background-color: #990066\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">990066</td><td style=\"background-color: #990033\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">990033</td><td style=\"background-color: #990000\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">990000</td></tr>\n";
echo "<tr><td style=\"background-color: #66FFFF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">66FFFF</td><td style=\"background-color: #66FFCC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">66FFCC</td><td style=\"background-color: #66FF99\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">66FF99</td><td style=\"background-color: #66FF66\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">66FF66</td><td style=\"background-color: #66FF33\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">66FF33</td><td style=\"background-color: #66FF00\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">66FF00</td><td style=\"background-color: #66CCFF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">66CCFF</td><td style=\"background-color: #66CCCC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">66CCCC</td><td style=\"background-color: #66CC99\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">66CC99</td><td style=\"background-color: #66CC66\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">66CC66</td><td style=\"background-color: #66CC33\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">66CC33</td><td style=\"background-color: #66CC00\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">66CC00</td></tr>\n";
echo "<tr><td style=\"background-color: #6699FF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">6699FF</td><td style=\"background-color: #6699CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">6699CC</td><td style=\"background-color: #669999\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">669999</td><td style=\"background-color: #669966\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">669966</td><td style=\"background-color: #669933\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">669933</td><td style=\"background-color: #669900\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">669900</td><td style=\"background-color: #6666FF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">6666FF</td><td style=\"background-color: #6666CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">6666CC</td><td style=\"background-color: #666699\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">666699</td><td style=\"background-color: #666666\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">666666</td><td style=\"background-color: #666633\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">666633</td><td style=\"background-color: #666600\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">666600</td></tr>\n";
echo "<tr><td style=\"background-color: #6633FF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">6633FF</td><td style=\"background-color: #6633CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">6633CC</td><td style=\"background-color: #663399\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">663399</td><td style=\"background-color: #663366\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">663366</td><td style=\"background-color: #663333\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">663333</td><td style=\"background-color: #663300\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">663300</td><td style=\"background-color: #6600FF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">6600FF</td><td style=\"background-color: #6600CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">6600CC</td><td style=\"background-color: #660099\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">660099</td><td style=\"background-color: #660066\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">660066</td><td style=\"background-color: #660033\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">660033</td><td style=\"background-color: #660000\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">660000</td></tr>\n";
echo "<tr><td style=\"background-color: #33FFFF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">33FFFF</td><td style=\"background-color: #33FFCC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">33FFCC</td><td style=\"background-color: #33FF99\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">33FF99</td><td style=\"background-color: #33FF66\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">33FF66</td><td style=\"background-color: #33FF33\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">33FF33</td><td style=\"background-color: #33FF00\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">33FF00</td><td style=\"background-color: #33CCFF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">33CCFF</td><td style=\"background-color: #33CCCC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">33CCCC</td><td style=\"background-color: #33CC99\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">33CC99</td><td style=\"background-color: #33CC66\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">33CC66</td><td style=\"background-color: #33CC33\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">33CC33</td><td style=\"background-color: #33CC00\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">33CC00</td></tr>\n";
echo "<tr><td style=\"background-color: #3399FF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">3399FF</td><td style=\"background-color: #3399CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">3399CC</td><td style=\"background-color: #339999\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">339999</td><td style=\"background-color: #339966\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">339966</td><td style=\"background-color: #339933\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">339933</td><td style=\"background-color: #339900\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">339900</td><td style=\"background-color: #3366FF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">3366FF</td><td style=\"background-color: #3366CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">3366CC</td><td style=\"background-color: #336699\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">336699</td><td style=\"background-color: #336666\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">336666</td><td style=\"background-color: #336633\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">336633</td><td style=\"background-color: #336600\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">336600</td></tr>\n";
echo "<tr><td style=\"background-color: #3333FF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">3333FF</td><td style=\"background-color: #3333CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">3333CC</td><td style=\"background-color: #333399\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">333399</td><td style=\"background-color: #333366\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">333366</td><td style=\"background-color: #333333\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">333333</td><td style=\"background-color: #333300\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">333300</td><td style=\"background-color: #3300FF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">3300FF</td><td style=\"background-color: #3300CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">3300CC</td><td style=\"background-color: #330099\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">330099</td><td style=\"background-color: #330066\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">330066</td><td style=\"background-color: #330033\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">330033</td><td style=\"background-color: #330000\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">330000</td></tr>\n";
echo "<tr><td style=\"background-color: #00FFFF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">00FFFF</td><td style=\"background-color: #00FFCC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">00FFCC</td><td style=\"background-color: #00FF99\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">00FF99</td><td style=\"background-color: #00FF66\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">00FF66</td><td style=\"background-color: #00FF33\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">00FF33</td><td style=\"background-color: #00FF00\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">00FF00</td><td style=\"background-color: #00CCFF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">00CCFF</td><td style=\"background-color: #00CCCC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">00CCCC</td><td style=\"background-color: #00CC99\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">00CC99</td><td style=\"background-color: #00CC66\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">00CC66</td><td style=\"background-color: #00CC33\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">00CC33</td><td style=\"background-color: #00CC00\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">00CC00</td></tr>\n";
echo "<tr><td style=\"background-color: #0099FF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">0099FF</td><td style=\"background-color: #0099CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">0099CC</td><td style=\"background-color: #009999\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">009999</td><td style=\"background-color: #009966\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">009966</td><td style=\"background-color: #009933\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">009933</td><td style=\"background-color: #009900\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">009900</td><td style=\"background-color: #0066FF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">0066FF</td><td style=\"background-color: #0066CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">0066CC</td><td style=\"background-color: #006699\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">006699</td><td style=\"background-color: #006666\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">006666</td><td style=\"background-color: #006633\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">006633</td><td style=\"background-color: #006600\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">006600</td></tr>\n";
echo "<tr><td style=\"background-color: #0033FF;\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">0033FF</td><td style=\"background-color: #0033CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">0033CC</td><td style=\"background-color: #003399\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">003399</td><td style=\"background-color: #003366\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">003366</td><td style=\"background-color: #003333\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">003333</td><td style=\"background-color: #003300\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">003300</td><td style=\"background-color: #0000FF\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">0000FF</td><td style=\"background-color: #0000CC\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">0000CC</td><td style=\"background-color: #000099\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">000099</td><td style=\"background-color: #000066\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">000066</td><td style=\"background-color: #000033\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">000033</td><td style=\"background-color: #000000\" onclick=\"selectcolor(this)\" onmouseover=\"this.style.cursor='pointer'\">000000</td></tr>\n";
echo "</table></td></tr></table>\n";
echo "<table class=\"contenttable\" style=\"width : 802px;\">\n";
echo "<tr><td colspan=\"2\">&nbsp;</td></tr>\n";
echo "<tr><td colspan=\"2\" style=\"text-align : center;\"><img src=\"3dgfx/colors.jpg\" alt=\"about\" style=\"border : 0px;\" /></td></tr>\n";
echo "<tr><td colspan=\"2\">&nbsp;</td></tr>\n";
echo "<tr><td style=\"text-align : left;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('div3');\"><img src=\"3dgfx/arrowsmallleft.png\" alt=\"arrow\" style=\"border : 0px;\" /></a></td>\n";
echo "<td style=\"text-align : right;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('div5');\"><img src=\"3dgfx/arrowsmallright.png\" alt=\"arrow\" style=\"border : 0px;\" /></a></td></tr>\n";
echo "</table>\n";
echo "</div>\n";
// Advanced settings
echo "<div id=\"div5\" $div5>\n";
echo "<table class=\"contenttable\" style=\"width : 802px;\"><tr><td style=\"text-align : left;\" colspan=\"4\"><b>$lang_46</b></td></tr><tr><td colspan=\"4\">&nbsp;</td></tr>\n";
echo "<tr><td style=\"text-align : left;\">1. $lang_47 </td><td style=\"text-align : left;\"><input type=\"text\" name=\"borderx\" class=\"input\" value=\"$borderx\" size=\"2\" /> px</td><td style=\"text-align : left;\">7. $lang_48 </td><td style=\"text-align : left;\"><input type=\"text\" name=\"bordery\" class=\"input\" value=\"$bordery\" size=\"2\" /> px</td></tr>\n";		
echo "<tr><td style=\"text-align : left;\">2. $lang_49 </td><td style=\"text-align : left;\"><input type=\"text\" name=\"framewidth\" class=\"input\" value=\"$framewidth\"  size=\"2\" /> px</td><td style=\"text-align : left;\">8. $lang_50 </td><td style=\"text-align : left;\"><input type=\"text\" name=\"shading\" class=\"input\" value=\"$shading\" size=\"2\" /> %</td></tr>\n";
echo "<tr><td style=\"text-align : left;\">3. $lang_51 </td><td style=\"text-align : left;\"><input type=\"text\" name=\"fontsize\" class=\"input\" value=\"$fontsize\" size=\"2\" /></td><td style=\"text-align : left;\">9. $lang_52 </td><td style=\"text-align : left;\"><input type=\"text\" name=\"fontshadowoffset\" class=\"input\" value=\"$fontshadowoffset\" size=\"2\" /> px</td></tr>\n";
echo "<tr><td style=\"text-align : left;\">4. $lang_53 </td><td style=\"text-align : left;\"><input type=\"text\" name=\"fontangle\" class=\"input\" value=\"$fontangle\" size=\"2\" /> &deg;</td><td style=\"text-align : left;\">10. $lang_54 </td><td style=\"text-align : left;\"><input type=\"text\" name=\"deformstrength\" class=\"input\" value=\"$deformstrength\" size=\"2\" /> %</td></tr>\n";
$selectfonts=array();
if ($dir=@opendir('fonts')) {
	while ($file=@readdir($dir)) {
		if (($file!='.') && ($file!='..') && substr($file,-3)=='ttf') {
			$fontname=substr($file,0,strrpos($file,'.'));
			if ($file!=$fonttype) {$selectfonts[]="<option value=\"$file\">$fontname</option>";} else {$selectfonts[]="<option value=\"$file\" selected=\"selected\">$fontname</option>";}
		}
	}
}
sort($selectfonts);
$selectfonts="<select name=\"fonttype\" class=\"input\" style=\"text-align : left;\">" . implode('',$selectfonts) . '</select>';
$selectwatermark=array();
if ($dir=@opendir('3dgfx/watermarks/')) {
	while ($file=@readdir($dir)) {
		if (($file!='.') && ($file!='..') && substr($file,-3)=='png') {
			$watermarkname=substr($file,0,strrpos($file,'.'));
			if ($file!=$watermark) {$selectwatermark[]="<option value=\"$file\">$watermarkname</option>";} else {$selectwatermark[]="<option value=\"$file\" selected=\"selected\">$watermarkname</option>";}
		}
	}
}
sort($selectwatermark);
$selectwatermark="<select name=\"watermark\" class=\"input\" style=\"text-align : left;\"><option value=\"none\">$lang_35</option>" . implode('',$selectwatermark) . '</select>';
echo "<tr><td style=\"text-align : left;\">5. $lang_55 </td><td style=\"text-align : left;\"><input type=\"text\" name=\"outputsize\" class=\"input\" value=\"$outputsize\" size=\"3\" /> px</td><td style=\"text-align : left;\">11. $lang_78 </td><td style=\"text-align : left;\"><input type=\"text\" name=\"mirrorarea\" class=\"input\" value=\"$mirrorarea\" size=\"2\" /> %</td></tr>\n";	
echo "<tr><td style=\"text-align : left;\">6. $lang_77 </td><td style=\"text-align: left\">$selectfonts</td><td style=\"text-align : left;\">12. $lang_34</td><td style=\"text-align : left;\">$selectwatermark</td></tr><tr><td colspan=\"4\">&nbsp;</td></tr></table>\n";	
echo "<table class=\"contenttable\" style=\"width : 802px;\">\n";
echo "<tr><td colspan=\"2\">&nbsp;</td></tr>\n";
echo "<tr><td colspan=\"2\" style=\"text-align : center;\"><img src=\"3dgfx/layout.jpg\" alt=\"layout\" style=\"border : 0px;\" /></td></tr>\n";
echo "<tr><td colspan=\"2\">&nbsp;</td></tr>\n";
echo "<tr><td style=\"text-align : left;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('div4');\"><img src=\"3dgfx/arrowsmallleft.png\" alt=\"arrow\" style=\"border : 0px;\" /></a></td>\n";
echo "<td style=\"text-align : right;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('div6');\"><img src=\"3dgfx/arrowsmallright.png\" alt=\"arrow\" style=\"border : 0px;\" /></a></td></tr>\n";
echo "</table>\n";
echo "</div>\n";
// Create card
echo "<div id=\"div6\" $div6>\n";
echo "<table class=\"contenttable\" style=\"width : 802px;\"><tr><td style=\"text-align : left;\"><b>$lang_44</b></td></tr><tr><td> &nbsp;</td></tr>\n";
echo "<tr><td style=\"text-align : center;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('div0');document.forms[0].create.value='1';document.forms[0].submit();\"><img src=\"3dgfx/run.png\" alt=\"run\" title=\"$lang_44\" style=\"border : 0px;\" /></a></td></tr></table>\n";
echo "<table class=\"contenttable\" style=\"width : 802px;\">\n";
echo "<tr><td colspan=\"2\">&nbsp;</td></tr>\n";
echo "<tr><td style=\"text-align : left;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('div5');\"><img src=\"3dgfx/arrowsmallleft.png\" alt=\"arrow\" style=\"border : 0px;\" /></a></td><td>&nbsp;</td></tr>\n";
echo "</table>\n";
echo "</div>\n";
// Show card
echo "<div id=\"div7\" $div7>\n";
if (!$allow_email) {$lang_45=$lang_61;}
echo "<table class=\"contenttable\" style=\"width : 802px;\"><tr><td style=\"text-align : left;\"><b>$lang_45</b></td></tr><tr><td>&nbsp;</td></tr>\n";
if (count($_SESSION['cards'] )==0) {
        echo "<tr><td style=\"text-align : center;\"><img src=\"3dgfx/selectedphoto.png\" alt=\"nocard\" style=\"border : 0px;\" /></td></tr>\n";      
} else {
	if ($show_download) {$lang_61=$lang_86;}
        foreach ($_SESSION['cards'] as $key => $cardtosend) {
		if (file_exists('gfx/'.$cardtosend)) {
			$size=@GetImageSize('gfx/'.$cardtosend);
			if ($show_download) {
				if ($size[0]>720) {$width='width : 720px;';} else {$width='';}
			} else {
				if ($size[0]>800) {$width='width : 800px;';} else {$width='';}
			}
		        if ($allow_email)
		                echo "<tr><td style=\"text-align : center;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('div8');document.forms[0].emailcard.value='$cardtosend';document.forms[0].postcardtosend.src=document.forms[0].cardtosend$key.src;\"><img src=\"gfx/$cardtosend\" id=\"cardtosend$key\" onmouseover=\"this.style.cursor='pointer'\" alt=\"mycard\" title=\"$lang_61\" style=\"border : 0px;$width\" /></a>\n";
		        else
		                echo "<tr><td style=\"text-align : center;\"><img src=\"gfx/$cardtosend\" id=\"cardtosend$key\" onmouseover=\"this.style.cursor='pointer'\" alt=\"mycard$key\" title=\"$lang_61\" style=\"border : 0px;$width\" />\n";
			if ($show_download)
				echo " <a href=\"3dpostcard.php?downloadcard=$cardtosend\" onclick=\"this.blur();\"><img src=\"3dgfx/download.png\" alt=\"download\" title=\"$lang_85\" style=\"border : 0px;padding-left : 8px;\" /></a></td></tr>";
			else
				echo "</td></tr>";
		}	
        }
        echo "<tr><td style=\"text-align : center;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('div0');document.forms[0].deletecards.value='1';document.forms[0].submit();\"><img src=\"3dgfx/deletecards.png\" alt=\"delete\" style=\"border : 0px;\" onmouseover=\"unhide('deleteartwork');\" onmouseout=\"document.getElementById('deleteartwork').style.visibility='hidden';\" /></a></td></tr>\n";
}
echo "<tr><td><input type=\"hidden\" name=\"deletecards\" value=\"0\" />&nbsp;</td></tr>\n";
echo "</table>\n";
echo "<table class=\"contenttable\" style=\"width : 802px;\">\n";
echo "<tr><td style=\"text-align : left;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('div5');\"><img src=\"3dgfx/arrowsmallleft.png\" alt=\"arrow\" style=\"border : 0px;\" /></a></td></tr>\n";
echo "</table>\n";
echo "</div>\n";
// Info layer for deleting artwork
echo "<div id=\"deleteartwork\" style=\"position:absolute; width:250px; height:200px; top: -100px; left: 0px; z-index:3; overflow: visible; visibility: hidden\"> \n";
echo "<table class=\"infotable\">\n";
echo "<tr><th style=\"width : 100%;background-color : #FF0000;\">$lang_81</th></tr>\n";
echo "<tr><td style=\"text-align : left;\">$lang_80</td></tr>\n";        
echo "</table>\n";
echo "</div>\n";
// Send card
echo "<div id=\"div8\" $div8>\n";
if (isset($_REQUEST['mailfromname'])) {$mailfromname=$_REQUEST['mailfromname'];} else {$mailfromname='';}
if (isset($_REQUEST['mailfrom'])) {$mailfrom=$_REQUEST['mailfrom'];} else {$mailfrom='';}
if (isset($_REQUEST['mailtoname'])) {$mailtoname=$_REQUEST['mailtoname'];} else {$mailtoname='';}
if (isset($_REQUEST['mailto'])) {$mailto=$_REQUEST['mailto'];} else {$mailto='';}
if (isset($_REQUEST['mailsubject'])) {$mailsubject=$_REQUEST['mailsubject'];} else {$mailsubject='';}
if (isset($_REQUEST['emailcard'])) {$mailcardurl='gfx/'.$_REQUEST['emailcard'];} else {$mailcardurl='';}
if ($mailcardurl=='' || !file_exists($mailcardurl) || $mailcardurl=='gfx/') {$mailcardurl='3dgfx/selectedphoto.png';}
echo "<table class=\"contenttable\" style=\"width : 802px;\"><tr><td style=\"width :300px; text-align : left;\"><b>$lang_71</b></td><td style=\"width : 25px;\">&nbsp;</td><td>&nbsp;</td></tr>\n";
$hidden='';
if ($allow_rewrite && $allow_from_email) {
	echo "<tr><td style=\"text-align : right;\">$lang_72</td><td>&nbsp;</td><td style=\"text-align : left;\"><input type=\"text\" style=\"text-align : left;\" name=\"mailfromname\" class=\"input\" value=\"$mailfromname\" size=\"30\" maxlength=\"20\" /></td></tr>\n";
} else {
	$hidden.='<input type="hidden" name="mailfromname" value="' . $serverfromemail . '" />';
}
if ($allow_from_email) {
	echo "<tr><td style=\"text-align : right;\">$lang_66</td><td>&nbsp;</td><td style=\"text-align : left;\"><input type=\"text\" style=\"text-align : left;\" name=\"mailfrom\" class=\"input\" value=\"$mailfrom\" size=\"30\" maxlength=\"80\" /> </td></tr>\n";
} else {
	$hidden.='<input type="hidden" name="mailfrom" value="' . $serverfromemail . '" />';
}
if ($allow_rewrite) {
	echo "<tr><td style=\"text-align : right;\">$lang_16</td><td>&nbsp;</td><td style=\"text-align : left;\"><input type=\"text\" style=\"text-align : left;\" name=\"mailtoname\" class=\"input\" value=\"$mailtoname\" size=\"30\" maxlength=\"20\" /></td></tr>\n";
} else {
	$hidden.='<input type="hidden" name="mailtoname" value="' . $serverfromemail . '" />';
}
echo "<tr><td style=\"text-align : right;\">$lang_67</td><td>&nbsp;</td><td style=\"text-align : left;\"><input type=\"text\" style=\"text-align : left;\" name=\"mailto\" class=\"input\" value=\"$mailto\" size=\"30\" maxlength=\"80\" /> <img src=\"3dgfx/infotag.png\" alt=\"info\" onmouseover=\"unhide('mailinfo');\" onmouseout=\"document.getElementById('mailinfo').style.visibility='hidden';\" style=\"border : 0px;vertical-align : bottom;\" /></td></tr>\n";
echo "<tr><td style=\"text-align : right;\">$lang_69</td><td>&nbsp;</td><td style=\"text-align : left;\"><input type=\"text\" style=\"text-align : left;\" name=\"mailsubject\" class=\"input\" value=\"$mailsubject\" size=\"30\" maxlength=\"64\" /></td></tr>\n";
if ($allow_from_email ) {
	echo "<tr><td style=\"text-align : right;\">$lang_68</td><td>&nbsp;</td><td style=\"text-align : left;\"><input type=\"checkbox\" name=\"mailbcc\" class=\"input\" value=\"true\" checked=\"checked\"></td></tr>\n";
}
echo "<tr><td style=\"text-align : right;\">$lang_70</td><td>&nbsp;</td><td style=\"text-align : left;\"><img src=\"$mailcardurl\" id=\"postcardtosend\" alt=\"postcardtosend\" style=\"border : 0px;width : 200px;\" /></td></tr>\n";
echo "<tr><td style=\"text-align : right;\">$lang_64</td><td>&nbsp;</td><td style=\"text-align : left;\"><img src=\"3dpostcard.php?captchaimage=1\" alt=\"code\" style=\"border : 1px;border-color : #000000;border-style : solid;width : 178px;height : 42px;\" /></td></tr>\n";
echo "<tr><td style=\"text-align : right;\">$lang_65</td><td>&nbsp;</td><td style=\"text-align : left;\"><input type=\"text\" name=\"captcha\" class=\"input\" value=\"\" size=\"23\" maxlength=\"5\" /></td></tr>\n"; 
echo "<tr><td colspan=\"3\"><input type=\"hidden\" name=\"sendcard\" value=\"0\" />$hidden<input type=\"hidden\" name=\"emailcard\" value=\"\" />&nbsp;</td></tr>\n";
echo "<tr><td style=\"text-align : center;\" colspan=\"3\"><a href=\"#\" onclick=\"this.blur();document.forms[0].sendcard.value='1';validateform();\"><img src=\"3dgfx/sendemail.png\" alt=\"sendemail\" title=\"$lang_04\" style=\"border : 0px;\" /></a></td></tr>\n";
echo "</table>\n";
echo "<table class=\"contenttable\" style=\"width : 802px;\">\n";
echo "<tr><td style=\"text-align : left;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('div7');\"><img src=\"3dgfx/arrowsmallleft.png\" alt=\"arrow\" style=\"border : 0px;\" /></a></td></tr>\n";
echo "</table>\n";
echo "</div>\n";
// Info layer
echo "<div id=\"mailinfo\" style=\"position:absolute; width:250px; height:200px; top: -100px; left: 0px; z-index:4; overflow: visible; visibility: hidden\"> \n";
echo "<table class=\"infotable\">\n";
echo "<tr><th style=\"text-align : left;width : 100%;\">$lang_12</th></tr>\n";
echo "<tr><td style=\"text-align : left;\">$lang_83</td></tr>\n";
echo "</table>\n";
echo "</div>\n";
// Show send result
echo "<div id=\"div9\" $div9>\n";
echo "<table class=\"contenttable\" style=\"width : 802px;\"><tr><td style=\"text-align : left;\"><b>$lang_82</b></td></tr><tr><td>&nbsp;</td></tr>\n";
if ($success) {
        echo "<tr><td style=\"text-align : center;\"><img src=\"3dgfx/ok.png\" alt=\"ok\" title=\"$lang_61\" style=\"border : 0px;\" /></td></tr>\n";
        $insert='';
} else {
        echo "<tr><td style=\"text-align : center;\"><img src=\"3dgfx/fail.png\" alt=\"fail\" title=\"$lang_61\" style=\"border : 0px;\" /></td></tr>\n";
        $insert="<img src=\"3dgfx/errorinfo.png\" id=\"senderrorinfo\" alt=\"info\" onmouseover=\"unhide('senderror');\" onmouseout=\"document.getElementById('senderror').style.visibility='hidden';\" style=\"border : 0px;vertical-align : bottom;\" />\n";
}
echo "</table>\n";
echo "<table class=\"contenttable\" style=\"width : 802px;\">\n";
echo "<tr><td>&nbsp;</td></tr>\n";
if ($mailcardurl!='3dgfx/selectedphoto.png') {$cardtosend=basename($mailcardurl);} else {$cardtosend='';}
if ($success)
        echo "<tr><td style=\"text-align : left;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('div7');\"><img src=\"3dgfx/arrowsmallleft.png\" alt=\"arrow\" style=\"border : 0px;\" /></a></td></tr>\n";
else
        echo "<tr><td style=\"text-align : left;\"><a href=\"#\" onclick=\"this.blur();document.forms[0].emailcard.value='$cardtosend';expandCollapse('div8');\"><img src=\"3dgfx/arrowsmallleft.png\" alt=\"arrow\" style=\"border : 0px;\" /></a> $insert</td></tr>\n";
echo "</table>\n";
echo "</div>\n";
// Info layer
echo "<div id=\"senderror\" style=\"position:absolute; width:250px; height:200px; top: -100px; left: 0px; z-index:5; overflow: visible; visibility: hidden\"> \n";
echo "<table class=\"infotable\">\n";
echo "<tr><th style=\"width : 100%;background-color : #FF0000;\">$lang_08</th></tr>\n";
if ($captchaerror) {
        echo "<tr><td style=\"text-align : left;\">$lang_73</td></tr>\n";
        echo "<tr><td style=\"text-align : left;\">$lang_74</td></tr>\n";
} else {
        echo "<tr><td style=\"text-align : left;\">$lang_74</td></tr>\n";        
}
echo "</table>\n";
echo "</div>\n";
// Show examples
echo "<div id=\"div10\" $div10>\n";
echo "<table class=\"contenttable\" style=\"width : 802px;\"><tr><td style=\"text-align : left;\"><b>$lang_56</b></td></tr><tr><td>&nbsp;</td></tr>\n";
echo "<tr><td style=\"vertical-align : middle;\"><a href=\"#\" onclick=\"setlayout('40','100','70','20','70','0','5','900','10','FFFFFF','000000','999999','FFFFCC','FFFFFF','FFFFCC','999999','none');this.blur();expandCollapse('div4');\"><img src=\"3dgfx/layout1.jpg\" alt=\"layout\" style=\"border : 0px;padding : 5px;\" /></a>";
echo "<a href=\"#\" onclick=\"setlayout('40','40','70','20','70','0','5','900','0','FFFFFF','000000','999999','FFFFFF','000000','FFFFFF','FFFFFF','none');this.blur();expandCollapse('div4');\"><img src=\"3dgfx/layout2.jpg\" alt=\"layout\" style=\"border : 0px;padding : 5px;\" /></a>";
echo "<a href=\"#\" onclick=\"setlayout('40','100','70','20','70','0','5','900','10','FFFFFF','9900CC','FFFFFF','FF3300','FFFFFF','FF3300','FFFFFF','heart.png');this.blur();expandCollapse('div4');\"><img src=\"3dgfx/layout5.jpg\" alt=\"layout\" style=\"border : 0px;padding : 5px;\" /></a></td></tr>\n";
echo "<tr><td style=\"vertical-align : middle;\"><a href=\"#\" onclick=\"setlayout('40','100','80','30','100','0','5','900','10','FFFFFF','FF0000','0000FF','FF0000','0000FF','FFFFFF','0000FF','none');this.blur();expandCollapse('div4');\"><img src=\"3dgfx/layout3.jpg\" alt=\"layout\" style=\"border : 0px;padding : 5px;\" /></a>";
echo "<a href=\"#\" onclick=\"setlayout('0','0','80','15','90','0','10','900','0','FFFFFF','FFFFFF','660099','FFFFFF','FFFFFF','9900CC','FFFFFF','none');this.blur();expandCollapse('div4');\"><img src=\"3dgfx/layout4.jpg\" alt=\"layout\" style=\"border : 0px;padding : 5px;\" /></a>";
echo "<a href=\"#\" onclick=\"setlayout('40','100','80','20','70','0','0','900','10','FFFFFF','FFFFFF','FFFFFF','000000','FFFFFF','000000','000000','none');this.blur();expandCollapse('div4');\"><img src=\"3dgfx/layout6.jpg\" alt=\"layout\" style=\"border : 0px;padding : 5px;\" /></a>";
echo "</td></tr></table>\n";
echo "<table class=\"contenttable\" style=\"width : 802px;\">\n";
echo "<tr><td>&nbsp;</td></tr>\n";
echo "<tr><td><img src=\"3dgfx/infotag.png\" alt=\"info\" onmouseover=\"unhide('exampleinfo');\" onmouseout=\"document.getElementById('exampleinfo').style.visibility='hidden';\" style=\"border : 0px;vertical-align : bottom;\" /></td></tr>\n";
echo "<tr><td>&nbsp;</td></tr>\n";
echo "<tr><td style=\"text-align : left;\"><b>$lang_58</b></td></tr>\n";
echo "<tr><td>&nbsp;</td></tr><tr><td>\n";
echo "<table style=\"width : 100%;\">\n";
echo "<tr><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Writinglove / Panda';document.forms[0].selectedsample.src='3dgfx/samples/Writinglove_Panda.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Writinglove_Panda.jpg\" style=\"border : 0px;\" alt=\"Writinglove_Panda.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Barcode / Flowing';document.forms[0].selectedsample.src='3dgfx/samples/Barcode_Flowing.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Barcode_Flowing.jpg\" style=\"border : 0px;\" alt=\"Barcode_Flowing.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Charcoal / Moneybag';document.forms[0].selectedsample.src='3dgfx/samples/Charcoal_Moneybag.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Charcoal_Moneybag.jpg\" style=\"border : 0px;\" alt=\"Charcoal_Moneybag.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='China / Baby';document.forms[0].selectedsample.src='3dgfx/samples/China_Baby.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/China_Baby.jpg\" style=\"border : 0px;\" alt=\"China_Baby.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Classic / Clover';document.forms[0].selectedsample.src='3dgfx/samples/Classic_Clover.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Classic_Clover.jpg\" style=\"border : 0px;\" alt=\"Classic_Clover.jpg\" /></a></td></tr>\n";
echo "<tr><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Comic / Cloud';document.forms[0].selectedsample.src='3dgfx/samples/Comic_Cloud.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Comic_Cloud.jpg\" style=\"border : 0px;\" alt=\"Comic_Cloud.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Dotmatrix / Dancer';document.forms[0].selectedsample.src='3dgfx/samples/Dotmatrix_Dancer.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Dotmatrix_Dancer.jpg\" style=\"border : 0px;\" alt=\"Dotmatrix_Dancer.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Explosive / Health';document.forms[0].selectedsample.src='3dgfx/samples/Explosive_Health.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Explosive_Health.jpg\" style=\"border : 0px;\" alt=\"Explosive_Health.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='German / Heart';document.forms[0].selectedsample.src='3dgfx/samples/German_Heart.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/German_Heart.jpg\" style=\"border : 0px;\" alt=\"German_Heart.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Halloween / Spiral';document.forms[0].selectedsample.src='3dgfx/samples/Halloween_Spiral.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Halloween_Spiral.jpg\" style=\"border : 0px;\" alt=\"Halloween_Spiral.jpg\" /></a></td></tr>\n";
echo "<tr><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Herald / Fortune';document.forms[0].selectedsample.src='3dgfx/samples/Herald_Fortune.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Herald_Fortune.jpg\" style=\"border : 0px;\" alt=\"Herald_Fortune.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Led / Sun';document.forms[0].selectedsample.src='3dgfx/samples/Led_Sun.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Led_Sun.jpg\" style=\"border : 0px;\" alt=\"Led_Sun.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Newspaper / Star';document.forms[0].selectedsample.src='3dgfx/samples/Newspaper_Star.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Newspaper_Star.jpg\" style=\"border : 0px;\" alt=\"Newspaper_Star.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Oldbook / Cat1';document.forms[0].selectedsample.src='3dgfx/samples/Oldbook_Cat1.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Oldbook_Cat1.jpg\" style=\"border : 0px;\" alt=\"Oldbook_Cat1.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Oldlatin / Palmtree';document.forms[0].selectedsample.src='3dgfx/samples/Oldlatin_Palmtree.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Oldlatin_Palmtree.jpg\" style=\"border : 0px;\" alt=\"Oldlatin_Palmtree.jpg\" /></a></td></tr>\n";
echo "<tr><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Romance / Sunwheel';document.forms[0].selectedsample.src='3dgfx/samples/Romance_Sunwheel.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Romance_Sunwheel.jpg\" style=\"border : 0px;\" alt=\"Romance_Sunwheel.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Scribble / Crow';document.forms[0].selectedsample.src='3dgfx/samples/Scribble_Crow.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Scribble_Crow.jpg\" style=\"border : 0px;\" alt=\"Scribble_crow.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Shaded / Drop';document.forms[0].selectedsample.src='3dgfx/samples/Shaded_Drop.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Shaded_Drop.jpg\" style=\"border : 0px;\" alt=\"Shaded_Drop.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Sweetheart / Recycle';document.forms[0].selectedsample.src='3dgfx/samples/Sweetheart_Recycle.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Sweetheart_Recycle.jpg\" style=\"border : 0px;\" alt=\"Sweetheart_Recycle.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Tribune / Pirate';document.forms[0].selectedsample.src='3dgfx/samples/Tribune_Pirate.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Tribune_Pirate.jpg\" style=\"border : 0px;\" alt=\"Tribune_Pirate.jpg\" /></a></td></tr>\n";
echo "<tr><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Wanted / YinYang';document.forms[0].selectedsample.src='3dgfx/samples/Wanted_YinYang.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Wanted_YinYang.jpg\" style=\"border : 0px;\" alt=\"Wanted_YinYang.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Writing / Graduate';document.forms[0].selectedsample.src='3dgfx/samples/Writing_Graduate.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Writing_Graduate.jpg\" style=\"border : 0px;\" alt=\"Writing_Graduate.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Writingadult / Cat2';document.forms[0].selectedsample.src='3dgfx/samples/Writingadult_Cat2.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Writingadult_Cat2.jpg\" style=\"border : 0px;\" alt=\"Writingadult_Cat2.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Writingkid / Elk';document.forms[0].selectedsample.src='3dgfx/samples/Writingkid_Elk.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Writingkid_Elk.jpg\" style=\"border : 0px;\" alt=\"Writingkid_Elk.jpg\" /></a></td><td><a href=\"#\" onmouseover=\"document.getElementById('sampletitle').innerHTML='Balloon / Biohazard';document.forms[0].selectedsample.src='3dgfx/samples/Balloon_Biohazard.jpg';unhide('magnify',260,330);\" onmouseout=\"document.getElementById('magnify').style.visibility='hidden';document.forms[0].selectedsample.src='3dgfx/preview.png';\"><img src=\"3dgfx/samples/thumbs/Balloon_Biohazard.jpg\" style=\"border : 0px;\" alt=\"Balloon_Biohazard.jpg\" /></a></td></tr>\n";
echo "</table>\n";
echo "</td></tr>\n";
echo "<tr><td style=\"text-align : right;\"><a href=\"#\" onclick=\"this.blur();expandCollapse('div6');\"><img src=\"3dgfx/arrowsmallright.png\" alt=\"arrow\" style=\"border : 0px;\" /></a></td></tr>\n";
echo "</table>\n";
echo "</div>\n";
// Info layer
echo "<div id=\"magnify\" style=\"position:absolute; width:480px; height:295px; top: -400px; left: 0px; z-index:6; overflow: visible; visibility: hidden;\"> \n";
echo "<table class=\"infotable\">\n";
echo "<tr><th style=\"text-align : left;width : 100%;\"><div id=\"sampletitle\">$lang_12</div></th></tr>\n";
echo "<tr><td style=\"text-align : center;height : 295px;\"><img src=\"3dgfx/preview.png\" id=\"selectedsample\" alt=\"selectedsample\" style=\"border : 0px;width : 480px;\" /></td></tr>\n";
echo "</table>\n";
echo "</div>\n";
echo "<div id=\"exampleinfo\" style=\"position:absolute; width:250px; height:200px; top: -100px; left: 0px; z-index: 7;overflow: visible; visibility: hidden\"> \n";
echo "<table class=\"infotable\">\n";
echo "<tr><th style=\"text-align : left;width : 100%;\">$lang_12</th></tr>\n";
echo "<tr><td style=\"text-align : left;\">$lang_84</td></tr>\n";
echo "</table>\n";
echo "</div>\n";
// About
echo "<div id=\"div11\" $div11>\n";
echo "<table class=\"contenttable\" style=\"width : 802px;\">\n";
echo "<tr><td style=\"text-align : center;\"><img src=\"3dgfx/about.jpg\" alt=\"about\" style=\"border : 0px;\" /></td></tr><tr><td style=\"text-align : left;\">\n";
print<<<EOT
<br />
<b>DISCLAIMER</b>
<br /><br />
This Service, Software, Content and/or Product is being delivered to you "AS IS", WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, there is no warranty as to its use or performance. THERE ARE NO WARRANTIES, EXPRESS OR IMPLIED, AS TO NONINFRINGEMENT
OF THIRD PARTY RIGHTS, MERCHANTABILITY, OR FITNESS FOR ANY PARTICULAR PURPOSE. IN NO EVENT WILL ANYONE BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, INCIDENTAL OR SPECIAL DAMAGES, INCLUDING ANY LOST PROFITS OR LOST SAVINGS, EVEN IF YOU HAVE BEEN
ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, OR FOR ANY CLAIM BY ANY THIRD PARTY.
<br /><br />
<b>COPYRIGHT</b>
<br /><br />
Copyright &copy; 2008 - 2010 JF Nutbroek All Rights Reserved 
<br />
<a href="http://www.mywebmymail.com">http://www.mywebmymail.com</a>
<br /><br />
Other brands and their products are trademarks of their respective holders.
EOT;
echo "</td></tr></table>\n";
echo "</div>\n";

// End of main content
// *******************

bottomborder();
if ($footer) {include_once('inc/footer.php');}
echo "</td></tr>\n";
echo "</table></form></body></html>\n";

function topborder($menu_header='') {
        global $shopcolor;
        echo "<table style=\"border : 0px;width : 100%;\" cellspacing=\"0\" cellpadding=\"0\"><tr>\n";
        if ($menu_header!='') {
		echo "<td style=\"width : 39px;height : 39px;background-image : url('3dgfx/lt_header.gif');\">&nbsp;</td>\n";
		echo "<td style=\"background-image : url('3dgfx/tabletop_header.gif');text-align : center;font-size : 10px;font-weight : bold;vertical-align : bottom;font-family : verdana;padding-bottom : 5px;\">$menu_header</td>\n";
		echo "<td style=\"width : 39px;background-image : url('3dgfx/rt_header.gif');\">&nbsp;</td></tr>\n";
	} else {
		echo "<td style=\"width : 39px;height : 39px;background-image : url('3dgfx/lt.gif');\">&nbsp;</td>\n";
		echo "<td style=\"background-image : url('3dgfx/tabletop.gif');text-align : center;font-size : 10px;font-weight : bold;vertical-align : bottom;font-family : verdana;padding-bottom : 5px;\">$menu_header</td>\n";
		echo "<td style=\"width : 39px;background-image : url('3dgfx/rt.gif');\">&nbsp;</td></tr>\n";
        }
        echo "<tr><td style=\"background-image : url('3dgfx/tableleft.gif');\">&nbsp;</td>\n";
        echo "<td style=\"text-align : center;background-color : #FAFAFA\">\n";           
}

function bottomborder() {
        echo "</td><td style=\"background-image : url('3dgfx/tableright.gif');\">&nbsp;</td></tr>\n";
        echo "<tr><td style=\"height : 39px;background-image : url('3dgfx/lb.gif');\">&nbsp;</td>\n";
        echo "<td style=\"background-image : url('3dgfx/tablebottom.gif');\">&nbsp;</td>\n";
        echo "<td style=\"background-image : url('3dgfx/rb.gif');\">&nbsp;</td>\n";
        echo "</tr></table>\n";        
}

function make_card($image) {
	global $borderx,$bordery,$shading,$mirrorarea,$fontsize,$fontangle,$fontshadowoffset,$outputsize,$deformstrength,$line,$watermark,$fontcolor,$fontshadowcolor;
	global $bordercolor,$bgcolor,$cardcolor,$bordercardcolor,$framewidth,$framecolor,$fonttype;
	$cardfilename='invalid.jpg';
	if (file_exists($image)) {
	 	// Read image
		$size=@GetImageSize($image);
		if ($size[2]==1) {
			if (imagetypes() & IMG_GIF) {
	    			$im=@imagecreatefromgif($image);
			} else {
				header("Content-type: image/png");
				imagepng(invalid_image('No GIF support'));
				exit;
			}
		}
		if ($size[2]==2) {
			if (imagetypes() & IMG_JPG) {
	    			$im=@imagecreatefromjpeg($image);
			} else {
				header("Content-type: image/png");
				imagepng(invalid_image('No JPG support'));
				exit;
			}
		}
		if ($size[2]==3) {
			if (imagetypes() & IMG_PNG) {
				$im=@imagecreatefrompng($image);
			} else {
				header("Content-type: image/jpeg");
				imagejpeg(invalid_image('No PNG support'),'',100);
				exit;
			}
		}
		if ($size[2]!=1 && $size[2]!=2 && $size[2]!=3) {
			header("Content-type: image/png");
			imagepng(invalid_image('Not supported'));
			exit;
		} else {	
		 	// Create leftside of the card
		 	$card_left=imagecreatetruecolor(imagesx($im)+$borderx*2,imagesy($im)+$bordery*2);
		 	// Apply photo border/page color
		 	imagefilledrectangle($card_left,0,0,imagesx($card_left),imagesy($card_left),imagecolorallocate($card_left,hexdec(substr($bordercolor,1,2)),hexdec(substr($bordercolor,3,2)),hexdec(substr($bordercolor,5,2))));
		 	// Add frame around photo
			if ($framewidth>0)
			 	imagefilledrectangle($card_left,$borderx-$framewidth,$bordery-$framewidth,imagesx($im)+$borderx+$framewidth,imagesy($im)+$bordery+$framewidth,imagecolorallocate($card_left,hexdec(substr($framecolor,1,2)),hexdec(substr($framecolor,3,2)),hexdec(substr($framecolor,5,2))));
			// Copy original image to leftside of postcard
			imagecopyresampled($card_left,$im,$borderx,$bordery,0,0,imagesx($im),imagesy($im),imagesx($im),imagesy($im));		 
			// Add an outline around the card
			if ($bordercardcolor!=$bgcolor)
				imagerectangle($card_left,0,0,imagesx($card_left)-1,imagesy($card_left)-1,imagecolorallocate($card_left,hexdec(substr($bordercardcolor,1,2)),hexdec(substr($bordercardcolor,3,2)),hexdec(substr($bordercardcolor,5,2))));
			// Add shading color gradient, white to black left to right
			$blackline=imagecreatetruecolor(1,imagesy($card_left));
			imagefilledrectangle($blackline,0,0,imagesx($blackline),imagesy($blackline),imagecolorallocate($blackline,0,0,0));	
			for ($c=floor(imagesx($card_left)*0.65);$c<(imagesx($card_left)+1);$c++) { 
				$opacity=($c-floor(imagesx($card_left)*0.65))*($shading/(imagesx($card_left)-floor(imagesx($card_left)*0.65)));			 
				imagecopymerge($card_left,$blackline,$c,0,0,0,1,imagesy($blackline),$opacity);
			}			
			// Deform image trapezoid left to right
			$card_left_deformed=imagecreatetruecolor(imagesx($card_left),imagesy($card_left));
			imagefilledrectangle($card_left_deformed,0,0,imagesx($card_left_deformed),imagesy($card_left_deformed),imagecolorallocate($card_left_deformed,hexdec(substr($bgcolor,1,2)),hexdec(substr($bgcolor,3,2)),hexdec(substr($bgcolor,5,2))));			
			for ($c=0;$c<(imagesx($card_left)+1);$c++) {
			 	$length=$c*(((imagesy($card_left)*($deformstrength/100))/2)/imagesx($card_left));
				imagecopyresampled($card_left_deformed,$card_left,$c,$length,$c,0,1,imagesy($card_left)-2*$length,1,imagesy($card_left));
			}
			// Left side of the card is finished - copy it to the postcard
			// Create the new postcard
			$card=imagecreatetruecolor(imagesx($card_left)*2+20,imagesy($card_left)+20);
			imagefilledrectangle($card,0,0,imagesx($card),imagesy($card),imagecolorallocate($card,hexdec(substr($bgcolor,1,2)),hexdec(substr($bgcolor,3,2)),hexdec(substr($bgcolor,5,2))));						
			// Copy left side of the card
			imagecopyresampled($card,$card_left_deformed,10,10,0,0,imagesx($card_left_deformed),imagesy($card_left_deformed),imagesx($card_left_deformed),imagesy($card_left_deformed));
			// Free up memory
			imagedestroy($card_left_deformed);
			imagedestroy($card_left);			
			// Create rightside of the card
		 	$card_right=imagecreatetruecolor(imagesx($im)+$borderx*2,imagesy($im)+$bordery*2);
		 	// Apply card color
		 	imagefilledrectangle($card_right,0,0,imagesx($card_right),imagesy($card_right),imagecolorallocate($card_right,hexdec(substr($cardcolor,1,2)),hexdec(substr($cardcolor,3,2)),hexdec(substr($cardcolor,5,2))));
			// Add watermark image
			if ($watermark!='') {
				if (file_exists('3dgfx/watermarks/'.$watermark)) {
					$watermarkim=@imagecreatefrompng('3dgfx/watermarks/'.$watermark);
					$colorTransparent=imagecolortransparent($watermarkim);
					$newsize=imagecreatetruecolor(imagesx($card_right)*0.8,imagesy($card_right)*0.8);
					imagepalettecopy($newsize,$watermarkim);
					imagefilledrectangle($newsize,0,0,imagesx($newsize),imagesy($newsize),$colorTransparent);
					imagecolortransparent($newsize,$colorTransparent);
					imagecopyresized($newsize,$watermarkim,0,0,0,0,imagesx($newsize),imagesy($newsize),imagesx($watermarkim),imagesy($watermarkim));
					imagecopymerge($card_right,$newsize,min(max(imagesx($card_right)*0.5-0.5*imagesx($newsize),0),imagesx($card_right)-imagesx($newsize)),min(max(imagesy($card_right)*0.5-0.5*imagesy($newsize),0),imagesy($card_right)-imagesy($newsize)),0,0,imagesx($newsize),imagesy($newsize),10);					
					imagedestroy($watermarkim);
					imagedestroy($newsize);
				}
			}		 	
			// Add text to the card
			$longest='';
			for ($c=0;$c<6;$c++) {
				if (strlen($line[$c])>strlen($longest))
					$longest=$line[$c];
			}			
			$pos_longest=imagettfbbox($fontsize,$fontangle,"fonts/$fonttype",$longest);
			while (($pos_longest[2]-$pos_longest[0])>imagesx($card_right)*0.95) {
			 	$fontsize=$fontsize-1;
				$pos_longest=imagettfbbox($fontsize,$fontangle,"fonts/$fonttype",$longest);
			}
			$pos=imagettfbbox($fontsize,$fontangle,"fonts/$fonttype",'AAA');
			$ypos=abs((max($pos[1],$pos[3])-min($pos[5],$pos[7])));
			$ypos=floor(($ypos+(imagesy($card_right)-6*$ypos)/7)-(imagesy($card_right)-($ypos+(imagesy($card_right)-6*$ypos)/7)*6)/6);
			$textshadowcol=imagecolorallocate($card_right,hexdec(substr($fontshadowcolor,1,2)),hexdec(substr($fontshadowcolor,3,2)),hexdec(substr($fontshadowcolor,5,2)));
			$textcol=imagecolorallocate($card_right,hexdec(substr($fontcolor,1,2)),hexdec(substr($fontcolor,3,2)),hexdec(substr($fontcolor,5,2)));
			for ($c=0;$c<6;$c++) {
				$pos=imagettfbbox($fontsize,$fontangle,"fonts/$fonttype",$line[$c]);						
				$xpos=(imagesx($card_right)-(max($pos[2],$pos[4])-min($pos[0],$pos[6])))/2;
				if ($fontshadowoffset!=0) {imagettftext($card_right,$fontsize,$fontangle,$xpos+$fontshadowoffset,$ypos*($c+1)+$fontshadowoffset,$textshadowcol,"fonts/$fonttype",$line[$c]);}
				imagettftext($card_right,$fontsize,$fontangle,$xpos,$ypos*($c+1),$textcol,"fonts/$fonttype",$line[$c]);
			}
			// Add a border around the card
			if ($bordercardcolor!=$bgcolor)
				imagerectangle($card_right,0,0,imagesx($card_right)-1,imagesy($card_right)-1,imagecolorallocate($card_right,hexdec(substr($bordercardcolor,1,2)),hexdec(substr($bordercardcolor,3,2)),hexdec(substr($bordercardcolor,5,2))));					
			// Add shading color gradient, black to white left to right
			for ($c=0;$c<(floor(imagesx($card_right)*0.35));$c++) { 
				$opacity=$shading-$c*($shading/(floor(imagesx($card_right)*0.35)));			 
				imagecopymerge($card_right,$blackline,$c,0,0,0,1,imagesy($blackline),$opacity);
			}		
			// Deform image trapezoid right to left
			$card_right_deformed=imagecreatetruecolor(imagesx($card_right),imagesy($card_right));
			imagefilledrectangle($card_right_deformed,0,0,imagesx($card_right_deformed),imagesy($card_right_deformed),imagecolorallocate($card_right_deformed,hexdec(substr($bgcolor,1,2)),hexdec(substr($bgcolor,3,2)),hexdec(substr($bgcolor,5,2))));			
			for ($c=0;$c<(imagesx($card_right)+1);$c++) {
			 	$length=(imagesx($card_right)-$c)*(((imagesy($card_right)*($deformstrength/100))/2)/imagesx($card_right));
				imagecopyresampled($card_right_deformed,$card_right,$c,$length,$c,0,1,imagesy($card_right)-2*$length,1,imagesy($card_right));
			}			
			// Copy right side of the card
			imagecopyresampled($card,$card_right_deformed,10+imagesx($card_right_deformed),10,0,0,imagesx($card_right_deformed),imagesy($card_right_deformed),imagesx($card_right_deformed),imagesy($card_right_deformed));			
			// Free up memory
			imagedestroy($card_right_deformed);
			imagedestroy($card_right);	
			imagedestroy($blackline);
			imagedestroy($im);
			// Resize postcard
			if ($outputsize!=0 && imagesx($card)>$outputsize) {
			 	$resizedcard=imagecreatetruecolor($outputsize,ceil(imagesy($card)*($outputsize/imagesx($card))));
				imagecopyresampled($resizedcard,$card,0,0,0,0,imagesx($resizedcard),imagesy($resizedcard),imagesx($card),imagesy($card));			
				imagedestroy($card);
				$card=imagecreatetruecolor(imagesx($resizedcard),imagesy($resizedcard));
				imagecopy($card,$resizedcard,0,0,0,0,imagesx($resizedcard),imagesy($resizedcard));
				imagedestroy($resizedcard);
			}
			// Mirror card
                        if ($mirrorarea>0) {
                                $gap=0;$shadingstart=30;$shadingend=100;$cardx=imagesx($card);$cardy=imagesy($card);
                                $bottom=floor(($mirrorarea/100)*$cardy)+$gap;
                                $temporaryimage=imagecreatetruecolor($cardx,$cardy+$bottom);
                                imagefilledrectangle($temporaryimage,0,0,$cardx,$cardy+$bottom,imagecolorallocate($temporaryimage,hexdec(substr($bgcolor,1,2)),hexdec(substr($bgcolor,3,2)),hexdec(substr($bgcolor,5,2))));
                                imagecopy($temporaryimage,$card,0,0,0,0,$cardx,$cardy);
                                imagedestroy($card);$card=imagecreatetruecolor($cardx,$cardy+$bottom);
                                imagecopy($card,$temporaryimage,0,0,0,0,$cardx,$cardy+$bottom);
                                imagedestroy($temporaryimage);$cardx=imagesx($card);$cardy=imagesy($card);
                                for ($px=0;$px<$cardx;$px++) {
                                    for ($py=$cardy-($bottom*2)+$gap;$py<($cardy-$bottom);$py++) {imagecopy($card,$card,$px,$cardy-($py-($cardy-($bottom*2)))-1+$gap,$px,$py,1,1);}
                                }
                                $temporaryimage=imagecreatetruecolor($cardx,1);
                                imagefilledrectangle($temporaryimage,0,0,$cardx,1,imagecolorallocate($card,hexdec(substr($bgcolor,1,2)),hexdec(substr($bgcolor,3,2)),hexdec(substr($bgcolor,5,2))));	
                                $shadingstrength=($shadingend-$shadingstart)/$bottom;
                                for ($c=$cardy-$bottom;$c<$cardy;$c++) { 
                                    $opacity=$shadingstart+floor(($bottom-($cardy-$c))*$shadingstrength);
                                    imagecopymerge($card,$temporaryimage,0,$c,0,0,$cardx,1,max(min($opacity,100),0));
                                }	
                                imagedestroy($temporaryimage);
                        }
		 	// Save card to file
			if ($size[2]==1) {
				$cardfilename=uniqid(rand(),true).'.gif';
				imagegif($card,'gfx/'.$cardfilename);
				@chmod('gfx/'.$cardfilename, 0755);
			} else if ($size[2]==2) {
				$cardfilename=uniqid(rand(),true).'.jpg';
				imagejpeg($card,'gfx/'.$cardfilename,100);
				@chmod('gfx/'.$cardfilename, 0755);
			} else if ($size[2]==3) {
				$cardfilename=uniqid(rand(),true).'.png';
				imagepng($card,'gfx/'.$cardfilename);
				@chmod('gfx/'.$cardfilename, 0755);
			}
		}
	}
        $_SESSION['cards'][]=$cardfilename;
	return $cardfilename;
}

function createcaptcha() {
	$chars=array('a','b','c','d','e','f','h','i','j','k','m','n','p','r','s','t','u','w','y','3','5','6','7','8');
	$rand_keys=array_rand($chars,5);$code=$chars[$rand_keys[0]].$chars[$rand_keys[1]].$chars[$rand_keys[2]].$chars[$rand_keys[3]].$chars[$rand_keys[4]];
	$_SESSION['captchacode']=$code;
	$im=imagecreate(178,42);
	$white=imagecolorallocate($im,255,255,255);$black=imagecolorallocate($im,0,0,0);$grey=imagecolorallocate($im,128,128,128);
	imagefilledrectangle($im,0,0,178,42,$white);	
	for ($c=0;$c<5;$c++) {
		$xpos=10+$c*35;
		$fontangle=rand(-20,20);
		imagettftext($im,36,$fontangle,$xpos+4,28,$grey,'fonts/writing.ttf',substr($code,$c,1));
		imagettftext($im,36,$fontangle,$xpos,24,$black,'fonts/writing.ttf',substr($code,$c,1));
	}	
	imageline($im,0,10,178,10,$grey);imageline($im,0,20,178,20,$black);imageline($im,0,30,178,30,$grey);
	header("Content-type: image/png");
	imagepng($im);
	imagedestroy($im);
}

function sendcard($attachment) {
        global $serverfromemail,$website,$allow_rewrite,$allow_from_email,$allow_from_spoof;
	if (isset($_REQUEST['mailtoname'])) {$mailtoname=$_REQUEST['mailtoname'];} else {$mailtoname='';}
	if (isset($_REQUEST['mailto'])) {$mailto=$_REQUEST['mailto'];} else {$mailto='';}
	if (strpos($mailtoname, "\r") !== false || strpos($mailtoname, "\n") !== false) {$mailtoname='';}
	if (strpos($mailto, "\r") !== false || strpos($mailto, "\n") !== false) {$mailto='';}
	$mailto=str_replace(';','',$mailto);$mailto=str_replace(',','',$mailto);
        if ($mailtoname!='' && $allow_rewrite) {$mailto=$mailtoname . " <$mailto>";}
	if (isset($_REQUEST['mailfromname'])) {$mailfromname=$_REQUEST['mailfromname'];} else {$mailfromname='';}
	if (isset($_REQUEST['mailfrom'])) {$mailfrom=$_REQUEST['mailfrom'];} else {$mailfrom='';}
	if (strpos($mailfromname, "\r") !== false || strpos($mailfromname, "\n") !== false) {$mailfromname='';}
	if (strpos($mailfrom, "\r") !== false || strpos($mailfrom, "\n") !== false) {$mailfrom='';}
	if ($mailfromname!='' && $allow_rewrite) {$mailfrom=$mailfromname . " <$mailfrom>";}
	if ($allow_rewrite) {$serverfromemail=substr($serverfromemail,0,strpos($serverfromemail,'@')) . " <$serverfromemail>";}
	if ($mailfrom=='') {$mailfrom=$serverfromemail;}
	if (isset($_REQUEST['mailbcc']) && $allow_from_email) {$mailbcc=$mailfrom;} else {$mailbcc='';}	
	if (!$allow_from_spoof) {$replyto=$mailfrom;$mailfrom=$serverfromemail;}
	if (!$allow_from_email) {$mailfrom=$replyto=$serverfromemail;}
	if (isset($_REQUEST['mailsubject'])) {$mailsubject=strip_tags($_REQUEST['mailsubject']);} else {$mailsubject='';}
	if (strpos($mailsubject, "\r") !== false || strpos($mailsubject, "\n") !== false) {$mailsubject='3D Postcard';}
        if ($mailsubject=='') {$mailsubject='3D Postcard';}
        // Create headers
	$headers="From: $mailfrom\r\n";
	$headers.="Reply-to: $replyto\r\n";
        $headers.="Return-Path: $serverfromemail\r\n";
	if ($mailbcc!='') {$headers.="Bcc: $mailbcc\r\n";}
        if (isset($_ENV["SERVER_NAME"])) 
                $headers.="Message-Id: <" . md5(uniqid(microtime())) . "@" . $_ENV["SERVER_NAME"] . ">\r\n";
        else
                $headers.="Message-Id: <" . md5(uniqid(microtime())) . "@" . 'unknown' . ">\r\n";
        $headers.="Date: " . date("r") . "\r\n";
        $headers.="X-Mailer: PHP\r\n";
        if (isset($_ENV["REMOTE_ADDR"])) 
                $headers.="X-SenderIP: " . $_ENV["REMOTE_ADDR"] . "\r\n";
        else
                $headers.="X-SenderIP: " . 'unknown' . "\r\n";
        if (isset($_ENV["SERVER_NAME"])) 
                $headers.="X-WebSite: " . $_ENV["SERVER_NAME"] . "\r\n";
        else
                $headers.="X-WebSite: " . 'unknown' . "\r\n";
        $headers.="X-Script: 3D_Postcard_Generator\r\n";
	$bound_text=md5(uniqid(time()));
	$file=file_get_contents('gfx/'.$attachment);
        $size=@GetImageSize('gfx/'.$attachment);
	$headers.="MIME-Version: 1.0\r\n" . "Content-Type: multipart/alternative; boundary=\"PHP-mixed-$bound_text\"\r\n";
	$message="--PHP-mixed-$bound_text\r\n"
		."Content-Type: multipart/related; type=\"text/html\"; boundary=PHP-mixed2-$bound_text\r\n\r\n"        
                ."--PHP-mixed2-$bound_text\r\n"
		."Content-Type: text/html; charset=\"us-ascii\"\r\n"
		."Content-Transfer-Encoding: 7bit\r\n\r\n"	
		."<html><head></head><body>"
		."<DIV><TABLE><TR><TD><IMG id=\"id_$attachment\" style=\"display: block;\" src=\"cid:$attachment\" width=\"$size[0]\" height=\"$size[1]\" /></TD></TR><TR><TD><CENTER><SPAN style=\"font-family: Arial, Helvetica, sans-serif; font-size : 0.8em; color: #000000;\">Created by <a href=\"$website\">3D Postcard Generator</a></SPAN></CENTER></TD></TR></TABLE></DIV></body></html>\r\n\r\n"	
		."--PHP-mixed2-$bound_text\r\n"	
		."Content-Transfer-Encoding: base64\r\n"
                ."Content-Disposition: inline; filename=$attachment\r\n"
                ."Content-Type: image/" . strtolower(substr($attachment,strrpos($attachment,'.')+1,strlen($attachment))) . "; x-apple-mail-type=stationery; name=\"$attachment\"\r\n"
		."Content-ID: <$attachment>\r\n\r\n"
		.chunk_split(base64_encode($file))
		."\r\n\r\n"
		."--PHP-mixed2-$bound_text--\r\n\r\n"
                ."--PHP-mixed-$bound_text--\r\n\r\n";
	return mail($mailto,$mailsubject,$message,$headers);
}

function download($image) {
	$size=filesize('gfx/'.$image);
	header("Pragma: public");
	header("Expires: 0");
	header("Cache-Control: must-revalidate, post-check=0, pre-check=0"); 
	header("Cache-Control: public");
	header("Content-Type: application/octet-stream");
	header("Content-Disposition: attachment; filename=\"".$image."\";");
	header("Content-Transfer-Encoding: binary");
	header("Content-Length: ".$size);	
	$fp=@fopen('gfx/'.$image,"rb");
	if ($fp) {
		while(!feof($fp)) {
			print(fread($fp,1024*8));
			flush();
			if (connection_status()!=0) {
				@fclose($fp);
				die();
			}
		}
		@fclose($fp);
	}
}

?>

